Module java.desktop
Package java.awt

## Class AWTError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - java.awt.AWTError

- All Implemented Interfaces:
    `Serializable`

      public class AWTError
      extends Error

  Thrown when a serious Abstract Window Toolkit error has occurred.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AWTError​(String msg)` | Constructs an instance of `AWTError` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### AWTError

          public AWTError​(String msg)

      Constructs an instance of `AWTError` with the specified detail message.
      Parameters:
        `msg` - the detail message.
      Since:
        1.0